Bug 205778 - Non-standard name for ASCII character #12 in the manual
Summary: Non-standard name for ASCII character #12 in the manual
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: 10.2-STABLE
Hardware: Any Any
: --- Affects Only Me
Assignee: Ed Maste
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-01 12:14 UTC by Jonathan de Boyne Pollard
Modified: 2016-02-08 15:59 UTC (History)
1 user (show)

See Also:
emaste: mfc-stable10+
emaste: mfc-stable9-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan de Boyne Pollard 2016-01-01 12:14:19 UTC
kbdmap(5) names this ASCII control character "np".  That is apparently "New Page", a fairly rare and non-standard name.  Its standard name is "Form Feed", FF.  The manual really should use that name.
Comment 1 Ed Maste freebsd_committer 2016-01-02 04:11:34 UTC
ascii(7) also calls character 10 NL and 12 NP, fwiw.

Fortunately the parser in kbdcontrol accepts LF|lf|NL|nl for character 10 and FF|ff|NP|np for character 12.
Comment 2 commit-hook freebsd_committer 2016-01-02 18:35:19 UTC
A commit references this bug:

Author: emaste
Date: Sat Jan  2 18:35:11 UTC 2016
New revision: 293055
URL: https://svnweb.freebsd.org/changeset/base/293055

Log:
  kbdmap.5: Use current names for ASCII control codes lf, ff, us

  Refer to the old names nl, np, ns as historical aliases.

  PR:		205776, 205778
  MFC After:	1 week
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/usr.sbin/kbdcontrol/kbdmap.5
Comment 3 commit-hook freebsd_committer 2016-01-06 21:47:59 UTC
A commit references this bug:

Author: emaste
Date: Wed Jan  6 21:47:49 UTC 2016
New revision: 293281
URL: https://svnweb.freebsd.org/changeset/base/293281

Log:
  Use standard name for ASCII LF and FF control codes

  PR:		205778
  MFC after:	2 weeks

Changes:
  head/share/man/man7/ascii.7
  head/share/misc/ascii
Comment 4 commit-hook freebsd_committer 2016-01-09 01:02:05 UTC
A commit references this bug:

Author: emaste
Date: Sat Jan  9 01:01:05 UTC 2016
New revision: 293455
URL: https://svnweb.freebsd.org/changeset/base/293455

Log:
  MFC r293055: kbdmap.5: Use current names for ASCII control codes lf, ff, us

  Refer to the old names nl, np, ns as historical aliases.

  PR:		205776, 205778

Changes:
_U  stable/10/
  stable/10/usr.sbin/kbdcontrol/kbdmap.5
Comment 5 commit-hook freebsd_committer 2016-01-20 16:41:08 UTC
A commit references this bug:

Author: emaste
Date: Wed Jan 20 16:41:01 UTC 2016
New revision: 294443
URL: https://svnweb.freebsd.org/changeset/base/294443

Log:
  MFC r293281: Use standard name for ASCII LF and FF control codes

  PR:		205778

Changes:
_U  stable/10/
  stable/10/share/man/man7/ascii.7
  stable/10/share/misc/ascii
Comment 6 Ed Maste freebsd_committer 2016-02-08 15:59:20 UTC
Committed and merged